<script setup>
import ScaleBox from "vue2-scale-box";
</script>

<template>
  <div v-if="path !== '/h5'">
    <ScaleBox :width="1920" :height="1080" bgc="transparent" :delay="100">
      <router-view />
    </ScaleBox>
  </div>
  <div v-else>
    <router-view />
  </div>
</template>
<script>
export default {
  name: "App",
  data() {
    return {
      path: null,
    };
  },
  mounted() {
    // h5的页面不做缩放
    this.path = this.$route.path;
  },
};
</script>
<style scoped>
#app {
  width: 100%;
  height: 100%;
}
* {
  margin: 0;
  padding: 0;
}
</style>
